Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xalan.xpath.xml
Class ProblemListenerDefault

    java.lang.Object
      |
      +--weblogic.apache.xml.utils.DefaultErrorHandler
            |
            +--weblogic.apache.xalan.xpath.xml.ProblemListenerDefault

Deprecated. This compatibility layer will be removed in later releases.

public class ProblemListenerDefault
extends DefaultErrorHandler
implements ProblemListener

This is the interface that the XSL processor calls when it has a problem of some kind, either an error or a warning. Users should ass the XSLTEngineImpl class to setProblemListener if they wish an object instance to be called when a problem event occurs.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Constructor Summary
`ProblemListenerDefault()` Deprecated.
`ProblemListenerDefault(ProblemListener l)` Deprecated.

Method Summary
`void` | `error(org.xml.sax.SAXParseException exception)` Deprecated.
`void` | `error(javax.xml.transform.TransformerException exception)` Deprecated.
`void` | `fatalError(org.xml.sax.SAXParseException exception)` Deprecated.
`void` | `fatalError(javax.xml.transform.TransformerException exception)` Deprecated.
`org.xml.sax.ErrorHandler` | `getErrorHandler()` Deprecated.
`ProblemListener` | `getProblemListener()` Deprecated.
`boolean` | `message(java.lang.String msg)` Deprecated. Function that is called to issue a message.
`boolean` | `problem(short where, short classification, java.lang.Object styleNode, org.w3c.dom.Node sourceNode, java.lang.String msg, java.lang.String id, int lineNo, int charOffset)` Deprecated.
`void` | `setProblemListener(ProblemListener l)` Deprecated.
`void` | `warning(org.xml.sax.SAXParseException exception)` Deprecated.
`void` | `warning(javax.xml.transform.TransformerException exception)` Deprecated.

Methods inherited from class weblogic.apache.xml.utils.DefaultErrorHandler
`ensureLocationSet, printLocation, printLocation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProblemListenerDefault

    public ProblemListenerDefault()

  Deprecated.

### ProblemListenerDefault

    public ProblemListenerDefault(ProblemListener l)

  Deprecated.

Method Detail

### setProblemListener

    public void setProblemListener(ProblemListener l)

  Deprecated.

### getErrorHandler

    public org.xml.sax.ErrorHandler getErrorHandler()

  Deprecated.

### getProblemListener

    public ProblemListener getProblemListener()

  Deprecated.

### message

    public boolean message(java.lang.String msg)

  Deprecated.
  Function that is called to issue a message.
  Specified by:
    message in interface ProblemListener

  Parameters:
    `msg` - A string message to output.

### problem

    public boolean problem(short where,
                           short classification,
                           java.lang.Object styleNode,
                           org.w3c.dom.Node sourceNode,
                           java.lang.String msg,
                           java.lang.String id,
                           int lineNo,
                           int charOffset)
                    throws org.xml.sax.SAXException

  Deprecated.
  Specified by:
    problem in interface ProblemListener

### warning

    public void warning(org.xml.sax.SAXParseException exception)
                 throws org.xml.sax.SAXException

  Deprecated.

  Overrides:
    warning in class DefaultErrorHandler

### error

    public void error(org.xml.sax.SAXParseException exception)
               throws org.xml.sax.SAXException

  Deprecated.

  Overrides:
    error in class DefaultErrorHandler

### fatalError

    public void fatalError(org.xml.sax.SAXParseException exception)
                    throws org.xml.sax.SAXException

  Deprecated.

  Overrides:
    fatalError in class DefaultErrorHandler

### warning

    public void warning(javax.xml.transform.TransformerException exception)
                 throws javax.xml.transform.TransformerException

  Deprecated.

  Overrides:
    warning in class DefaultErrorHandler

### error

    public void error(javax.xml.transform.TransformerException exception)
               throws javax.xml.transform.TransformerException

  Deprecated.

  Overrides:
    error in class DefaultErrorHandler

### fatalError

    public void fatalError(javax.xml.transform.TransformerException exception)
                    throws javax.xml.transform.TransformerException

  Deprecated.

  Overrides:
    fatalError in class DefaultErrorHandler

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference